"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const management_api_contracts_1 = require("@process-engine/management_api_contracts");
class InternalAccessor {
    constructor(correlationService, cronjobService, emptyActivityService, eventService, flowNodeInstanceService, kpiService, loggingService, manualTaskService, notificationService, processModelService, tokenHistoryService, userTaskService) {
        this.correlationService = correlationService;
        this.cronjobService = cronjobService;
        this.emptyActivityService = emptyActivityService;
        this.eventService = eventService;
        this.flowNodeInstanceService = flowNodeInstanceService;
        this.kpiService = kpiService;
        this.loggingService = loggingService;
        this.manualTaskService = manualTaskService;
        this.notificationService = notificationService;
        this.processModelService = processModelService;
        this.tokenHistoryService = tokenHistoryService;
        this.userTaskService = userTaskService;
    }
    // Notifications
    async onActivityReached(identity, callback, subscribeOnce = false) {
        return this.notificationService.onActivityReached(identity, callback, subscribeOnce);
    }
    async onActivityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onActivityFinished(identity, callback, subscribeOnce);
    }
    async onEmptyActivityWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onEmptyActivityWaiting(identity, callback, subscribeOnce);
    }
    async onEmptyActivityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onEmptyActivityFinished(identity, callback, subscribeOnce);
    }
    async onEmptyActivityForIdentityWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onEmptyActivityForIdentityWaiting(identity, callback, subscribeOnce);
    }
    async onEmptyActivityForIdentityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onEmptyActivityForIdentityFinished(identity, callback, subscribeOnce);
    }
    async onUserTaskWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onUserTaskWaiting(identity, callback, subscribeOnce);
    }
    async onUserTaskFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onUserTaskFinished(identity, callback, subscribeOnce);
    }
    async onUserTaskForIdentityWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onUserTaskForIdentityWaiting(identity, callback, subscribeOnce);
    }
    async onUserTaskForIdentityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onUserTaskForIdentityFinished(identity, callback, subscribeOnce);
    }
    async onBoundaryEventTriggered(identity, callback, subscribeOnce = false) {
        return this.notificationService.onBoundaryEventTriggered(identity, callback, subscribeOnce);
    }
    async onIntermediateThrowEventTriggered(identity, callback, subscribeOnce = false) {
        return this.notificationService.onIntermediateThrowEventTriggered(identity, callback, subscribeOnce);
    }
    async onIntermediateCatchEventReached(identity, callback, subscribeOnce = false) {
        return this.notificationService.onIntermediateCatchEventReached(identity, callback, subscribeOnce);
    }
    async onIntermediateCatchEventFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onIntermediateCatchEventFinished(identity, callback, subscribeOnce);
    }
    async onManualTaskWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onManualTaskWaiting(identity, callback, subscribeOnce);
    }
    async onManualTaskFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onManualTaskFinished(identity, callback, subscribeOnce);
    }
    async onManualTaskForIdentityWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onManualTaskForIdentityWaiting(identity, callback, subscribeOnce);
    }
    async onManualTaskForIdentityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onManualTaskForIdentityFinished(identity, callback, subscribeOnce);
    }
    async onProcessStarted(identity, callback, subscribeOnce = false) {
        return this.notificationService.onProcessStarted(identity, callback, subscribeOnce);
    }
    async onProcessWithProcessModelIdStarted(identity, callback, processModelId, subscribeOnce = false) {
        return this.notificationService.onProcessWithProcessModelIdStarted(identity, callback, processModelId, subscribeOnce);
    }
    async onProcessTerminated(identity, callback, subscribeOnce = false) {
        return this.notificationService.onProcessTerminated(identity, callback, subscribeOnce);
    }
    async onProcessError(identity, callback, subscribeOnce = false) {
        return this.notificationService.onProcessError(identity, callback, subscribeOnce);
    }
    async onProcessEnded(identity, callback, subscribeOnce = false) {
        return this.notificationService.onProcessEnded(identity, callback, subscribeOnce);
    }
    // ------------ For backwards compatibility only
    async onCallActivityWaiting(identity, callback, subscribeOnce = false) {
        return this.notificationService.onCallActivityWaiting(identity, callback, subscribeOnce);
    }
    async onCallActivityFinished(identity, callback, subscribeOnce = false) {
        return this.notificationService.onCallActivityFinished(identity, callback, subscribeOnce);
    }
    // ------------
    async removeSubscription(identity, subscription) {
        return this.notificationService.removeSubscription(identity, subscription);
    }
    // Correlations
    async getAllCorrelations(identity) {
        return this.correlationService.getAllCorrelations(identity);
    }
    async getActiveCorrelations(identity) {
        return this.correlationService.getActiveCorrelations(identity);
    }
    async getCorrelationById(identity, correlationId) {
        return this.correlationService.getCorrelationById(identity, correlationId);
    }
    async getCorrelationByProcessInstanceId(identity, processInstanceId) {
        return this.correlationService.getCorrelationByProcessInstanceId(identity, processInstanceId);
    }
    async getCorrelationsByProcessModelId(identity, processModelId) {
        return this.correlationService.getCorrelationsByProcessModelId(identity, processModelId);
    }
    // Cronjobs
    async getAllActiveCronjobs(identity) {
        return this.cronjobService.getAllActiveCronjobs(identity);
    }
    async getCronjobExecutionHistoryForProcessModel(identity, processModelId, startEventId) {
        return this.cronjobService.getCronjobExecutionHistoryForProcessModel(identity, processModelId, startEventId);
    }
    async getCronjobExecutionHistoryForCrontab(identity, crontab) {
        return this.cronjobService.getCronjobExecutionHistoryForCrontab(identity, crontab);
    }
    // ProcessModels
    async getProcessModels(identity) {
        return this.processModelService.getProcessModels(identity);
    }
    async getProcessModelById(identity, processModelId) {
        return this.processModelService.getProcessModelById(identity, processModelId);
    }
    async getProcessModelByProcessInstanceId(identity, processInstanceId) {
        return this.processModelService.getProcessModelByProcessInstanceId(identity, processInstanceId);
    }
    async getStartEventsForProcessModel(identity, processModelId) {
        return this.processModelService.getStartEventsForProcessModel(identity, processModelId);
    }
    async updateProcessDefinitionsByName(identity, name, payload) {
        return this.processModelService.updateProcessDefinitionsByName(identity, name, payload);
    }
    async deleteProcessDefinitionsByProcessModelId(identity, processModelId) {
        return this.processModelService.deleteProcessDefinitionsByProcessModelId(identity, processModelId);
    }
    async startProcessInstance(identity, processModelId, payload, startCallbackType = management_api_contracts_1.DataModels.ProcessModels.StartCallbackType.CallbackOnProcessInstanceCreated, startEventId, endEventId) {
        return this.processModelService.startProcessInstance(identity, processModelId, payload, startCallbackType, startEventId, endEventId);
    }
    async terminateProcessInstance(identity, processInstanceId) {
        return this.processModelService.terminateProcessInstance(identity, processInstanceId);
    }
    // Events
    async getWaitingEventsForProcessModel(identity, processModelId) {
        return this.eventService.getWaitingEventsForProcessModel(identity, processModelId);
    }
    async getWaitingEventsForCorrelation(identity, correlationId) {
        return this.eventService.getWaitingEventsForCorrelation(identity, correlationId);
    }
    async getWaitingEventsForProcessModelInCorrelation(identity, processModelId, correlationId) {
        return this.eventService.getWaitingEventsForProcessModelInCorrelation(identity, processModelId, correlationId);
    }
    async triggerMessageEvent(identity, messageName, payload) {
        return this.eventService.triggerMessageEvent(identity, messageName, payload);
    }
    async triggerSignalEvent(identity, signalName, payload) {
        return this.eventService.triggerSignalEvent(identity, signalName, payload);
    }
    // Empty Activities
    async getEmptyActivitiesForProcessModel(identity, processModelId) {
        return this.emptyActivityService.getEmptyActivitiesForProcessModel(identity, processModelId);
    }
    async getEmptyActivitiesForProcessInstance(identity, processInstanceId) {
        return this.emptyActivityService.getEmptyActivitiesForProcessInstance(identity, processInstanceId);
    }
    async getEmptyActivitiesForCorrelation(identity, correlationId) {
        return this.emptyActivityService.getEmptyActivitiesForCorrelation(identity, correlationId);
    }
    async getEmptyActivitiesForProcessModelInCorrelation(identity, processModelId, correlationId) {
        return this.emptyActivityService.getEmptyActivitiesForProcessModelInCorrelation(identity, processModelId, correlationId);
    }
    async finishEmptyActivity(identity, processInstanceId, correlationId, emptyActivityInstanceId) {
        return this.emptyActivityService.finishEmptyActivity(identity, processInstanceId, correlationId, emptyActivityInstanceId);
    }
    // FlowNodeInstances
    async getFlowNodeInstancesForProcessInstance(identity, processInstanceId) {
        return this.flowNodeInstanceService.getFlowNodeInstancesForProcessInstance(identity, processInstanceId);
    }
    // ManualTasks
    async getManualTasksForProcessModel(identity, processModelId) {
        return this.manualTaskService.getManualTasksForProcessModel(identity, processModelId);
    }
    async getManualTasksForProcessInstance(identity, processInstanceId) {
        return this.manualTaskService.getManualTasksForProcessInstance(identity, processInstanceId);
    }
    async getManualTasksForCorrelation(identity, correlationId) {
        return this.manualTaskService.getManualTasksForCorrelation(identity, correlationId);
    }
    async getManualTasksForProcessModelInCorrelation(identity, processModelId, correlationId) {
        return this.manualTaskService.getManualTasksForProcessModelInCorrelation(identity, processModelId, correlationId);
    }
    async finishManualTask(identity, processInstanceId, correlationId, manualTaskInstanceId) {
        return this.manualTaskService.finishManualTask(identity, processInstanceId, correlationId, manualTaskInstanceId);
    }
    // UserTasks
    async getUserTasksForProcessModel(identity, processModelId) {
        return this.userTaskService.getUserTasksForProcessModel(identity, processModelId);
    }
    async getUserTasksForProcessInstance(identity, processInstanceId) {
        return this.userTaskService.getUserTasksForProcessInstance(identity, processInstanceId);
    }
    async getUserTasksForCorrelation(identity, correlationId) {
        return this.userTaskService.getUserTasksForCorrelation(identity, correlationId);
    }
    async getUserTasksForProcessModelInCorrelation(identity, processModelId, correlationId) {
        return this.userTaskService.getUserTasksForProcessModelInCorrelation(identity, processModelId, correlationId);
    }
    async finishUserTask(identity, processInstanceId, correlationId, userTaskInstanceId, userTaskResult) {
        return this.userTaskService.finishUserTask(identity, processInstanceId, correlationId, userTaskInstanceId, userTaskResult);
    }
    // Heatmap related features
    async getRuntimeInformationForProcessModel(identity, processModelId) {
        return this.kpiService.getRuntimeInformationForProcessModel(identity, processModelId);
    }
    async getRuntimeInformationForFlowNode(identity, processModelId, flowNodeId) {
        return this.kpiService.getRuntimeInformationForFlowNode(identity, processModelId, flowNodeId);
    }
    async getActiveTokensForProcessModel(identity, processModelId) {
        return this.kpiService.getActiveTokensForProcessModel(identity, processModelId);
    }
    async getActiveTokensForCorrelationAndProcessModel(identity, correlationId, processModelId) {
        return this.kpiService.getActiveTokensForCorrelationAndProcessModel(identity, correlationId, processModelId);
    }
    async getActiveTokensForProcessInstance(identity, processInstanceId) {
        return this.kpiService.getActiveTokensForProcessInstance(identity, processInstanceId);
    }
    async getActiveTokensForFlowNode(identity, flowNodeId) {
        return this.kpiService.getActiveTokensForFlowNode(identity, flowNodeId);
    }
    async getProcessModelLog(identity, processModelId, correlationId) {
        return this.loggingService.getProcessModelLog(identity, processModelId, correlationId);
    }
    async getProcessInstanceLog(identity, processModelId, processInstanceId) {
        return this.loggingService.getProcessInstanceLog(identity, processModelId, processInstanceId);
    }
    async getTokensForFlowNode(identity, correlationId, processModelId, flowNodeId) {
        return this.tokenHistoryService.getTokensForFlowNode(identity, correlationId, processModelId, flowNodeId);
    }
    async getTokensForFlowNodeByProcessInstanceId(identity, processInstanceId, flowNodeId) {
        return this.tokenHistoryService.getTokensForFlowNodeByProcessInstanceId(identity, processInstanceId, flowNodeId);
    }
    async getTokensForCorrelationAndProcessModel(identity, correlationId, processModelId) {
        return this.tokenHistoryService.getTokensForCorrelationAndProcessModel(identity, correlationId, processModelId);
    }
    async getTokensForProcessInstance(identity, processInstanceId) {
        return this.tokenHistoryService.getTokensForProcessInstance(identity, processInstanceId);
    }
}
exports.InternalAccessor = InternalAccessor;
//# sourceMappingURL=internal_accessor.js.map